Package org.opensaml.soap.wsaddressing.impl

# Class RetryAfterMarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectMarshaller
org.opensaml.soap.wsaddressing.impl.AbstractWSAddressingObjectMarshaller
org.opensaml.soap.wsaddressing.impl.AttributedUnsignedLongMarshaller
org.opensaml.soap.wsaddressing.impl.RetryAfterMarshaller

All Implemented Interfaces:
  `Marshaller`

public class RetryAfterMarshaller extends AttributedUnsignedLongMarshaller
Marshaller for instances of <wsa:RetryAfter>.

## Constructor Summary

Constructors
Constructor
Description
`RetryAfterMarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.soap.wsaddressing.impl.AttributedUnsignedLongMarshaller

`marshallAttributes, marshallElementContent`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectMarshaller

`marshall, marshall, marshall, marshallAttributeIDness, marshallChildElements, marshallInto, marshallNamespacePrefix, marshallNamespaces, marshallSchemaInstanceAttributes, marshallUnknownAttributes, setDocumentElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RetryAfterMarshaller

public RetryAfterMarshaller()